## org.aspectj.lang.reflect
Interface SourceLocation

public interface SourceLocation

For defining code, the class defined and location in a source file.

Method Summary
`int` `getColumn()` Deprecated. can not be implemented for bytecode weaving, may be removed in 1.1gold.
`String` `getFileName()`
`int` `getLine()`
`Class` `getWithinType()`

Method Detail

### getWithinType

    public Class getWithinType()

### getFileName

    public String getFileName()

### getLine

    public int getLine()

### getColumn

    public int getColumn()

  Deprecated. can not be implemented for bytecode weaving, may be removed in 1.1gold.